	function regal(edet)
c
	include '/u1/gcf/e350/crystal/cb/clouds'
c
	include '/u1/gcf/e350/crystal/cb/const'
c
	include '/u1/gcf/e350/crystal/cb/x'
c
	r=regge(edet)
	regal=-2.*r*alog(1.-x)
	if (abs(const-0.5).lt.0.01.and.jpart(1).le.2) return
	d=2.-2.*alpha
	regal=regal-2.*r*(x2**d*alog(x2)-x1**d*alog(x1))/(x1**d-x2**d)
	return
c
	end
